<?php
/*------------------------------------------------------------------------
# JA Polaris 1.0 - Sep, 2006
# ------------------------------------------------------------------------
# Copyright (C) 2004-2006 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
-------------------------------------------------------------------------*/

defined( '_VALID_MOS' ) or die( 'Restricted access' );
$iso = split( '=', _ISO );
/*echo "<?xml version=\"1.0\" encoding=\"'. $iso[1] .'\"?' .'>";*/

####################################
#support extra color themes
$ja_color_themes = array('brown', 'green', 'red', 'blue'); // You can add more color array if needed
####################################

# TEMPLATE CONFIGURATIONS ##########
# Change the width of the template
$ja_width_default = 'wide'; // 'narrow': 800x600; 'wide': widescreen
# default color
$ja_color_default = ''; //blank for default, else pick one of in extra color themes $ja_color_themes
#font size default
$ja_font_size_default = 3;
# Cnable users option
$ja_tool = 3; // 0: disable all; 1: disable color, enable screen; 2: enable color, disable screen; 3: enable all.
# Choose your prefer Menu Type
$ja_menutype = 1; // 1: Split Menu; 2: Son of Suckerfish Dropdown Menu; 3: Transmenu;
# END: TEMPLATE CONFIGURATIONS ##########


# Define the template path ##########
$ja_template_path = $mosConfig_live_site.'/templates/ja_polaris';
$ja_template_absolute_path = $mosConfig_absolute_path.'/templates/ja_polaris';
include ($ja_template_absolute_path."/ja_templatetools.php");

$topnav = "";
$subnav = "";
if ($ja_menutype == 1) {
	require($ja_template_absolute_path."/ja_splitmenu.php");
	$topnav = ja_topNav('mainmenu', array('default'));
	$subnav = ja_subNav('mainmenu');
}

# Auto Collapse Divs Functions ##########
$ja_right = mosCountModules( 'right' ) || mosCountModules( 'user1' ) || mosCountModules( 'user2' );
$ja_left = mosCountModules( 'left' ) || ($subnav);

if ( $ja_left && $ja_right ) {
	$divid = 'content';
	$divwrapid = 'contentwrap';
	} elseif ( $ja_left ) { 
	$divid = 'content-fr';
	$divwrapid = 'contentwrap-fr';
	} elseif ( $ja_right ) {
	$divid = 'content-fl';
	$divwrapid = 'contentwrap-fl';
	} else {
	$divid = 'content-f';
	$divwrapid = 'contentwrap-f';
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<?php mosShowHead(); ?>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<?php genMenuHead(); ?>

<link href="<?php echo $ja_template_path;?>/css/template_css.css" rel="stylesheet" type="text/css" />

<?php genColorHead(); ?>

<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/ja.script.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/prototype.lite.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/moo.fx.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/moo.fx.pack.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/ja.moo.roller.config.js"></script>

<?php if ( $my->id ) { initEditor(); } ?>

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {	height: 1%;}
</style>
<![endif]-->

<!--[if IE 7.0b]>
<style type="text/css">
.clearfix {	display: inline-block;}
</style>
<![endif]-->

<!--[if IE 7.0]>
<style type="text/css">
.clearfix {	display: inline-block;}
</style>
<![endif]-->

</head>

<body id="bd" class="<?php echo "$ja_width fs".$ja_font_size; ?>" onload="setUserOptions();initRoll();">
<div id="ja-container-outer">
<div id="ja-container">

<a name="Top" id="Top"></a>
<a title="Skip to content" href="#Content" style="display: none;">Skip to content</a> 

	<!-- BEGIN: HEADER -->
	<div id="ja-header">

		<h1>
			<a href="index.php"><img src="<?php echo $ja_template_path;?>/images/logo.gif" alt="<?php echo $mosConfig_fromname?>" /></a>
		</h1>
		
		<div id="ja-subheader">

			<div id="ja-usertools">
				<?php genToolMenu($ja_tool & 1); /*screen tool*/ ?>
				
				<?php genToolMenu($ja_tool & 2); /*color tool*/ ?>
			</div>

			<div id="ja-search">
				<?php mosLoadModules ( 'user4', -1 ); ?>
			</div>
	
			<div id="ja-newsflash" class="clearfix">
				<?php	mosLoadModules ( 'top',-2 ); ?>
			</div>
			
			<div id="ja-pathway">
				<strong>You are here:</strong>&nbsp;<?php mosPathway(); ?>
			</div>
			
			<div id="ja-skip-content">
			 <a title="Skip to content" href="<?php echo getCurrentURL(); ?>#Content"><img src="<?php echo $ja_template_path;?>/images/user-skipintro.gif" border="0" alt="Skip to content" /></a>
			</div>

		</div>

	</div>
	<!-- END: HEADER -->
	
	<!-- BEGIN: MAIN MENU -->
	<div id="ja-topnav-outer">
	<div id="ja-topnav">
		<?php
			switch ($ja_menutype) {
				case 1: echo $topnav;
				break;
				case 2:
				include("ja_cssmenu.php");
				break;
				case 3: include("ja_transmenu.php");
				break;
			}
		?>
	</div>
	</div>
  <!-- END: MAIN MENU -->

	<div id="ja-<?php echo $divwrapid; ?>" class="clearfix">

	<?php if ( mosCountModules( 'left' ) || ($subnav) ) { ?>
	<!-- BEGIN: LEFT SIDE -->
	<div id="ja-leftcol">
		<?php if ($subnav) { ?>
		<div id="ja-subnav">
			<h3><?php echo $menuname; ?></h3>
			<?php echo $subnav; ?>
		</div>
		<?php } 
		echo
		mosLoadModules ( 'left',-2 );
		?>
	</div>
	<!-- END: LEFT SIDE -->
	<?php } ?>
			
	<!-- START: MOOFX -->	
<div id="ja-moofx-mainbody">
		<?php if ( mosCountModules('user5') || mosCountModules('user6') || mosCountModules('user7') || mosCountModules('user8') || mosCountModules('user9') || mosCountModules('top') ) { ?>
		<div id="ja-moofx" >
			<div id="roller-loading" class="clearfix">
				<img src="<?php echo $ja_template_path;?>/images/loading.gif" alt="Loading..." />
			</div>
			<div id="roller-wrapper">
			<div id="roller-outer">

				<?php if ( mosCountModules('user5') ) { ?>
				<div class="roller">
					<div class="roller-inner roller-one">
				<?php mosLoadModules ( 'user5',-2 ); ?>
					</div>
				</div>
				<?php } ?>
				
				<?php if ( mosCountModules('user6') ) { ?>
				<div class="roller">
					<div class="roller-inner roller-two">
				<?php mosLoadModules ( 'user6',-2 ); ?>
					</div>
				</div>
				<?php } ?>
				
				<?php if ( mosCountModules('user7') ) { ?>
				<div class="roller">
					<div class="roller-inner roller-three">
				<?php mosLoadModules ( 'user7',-2 ); ?>
					</div>
				</div>
				<?php } ?>
				
				<?php if ( mosCountModules('user8') ) { ?>
				<div class="roller">
					<div class="roller-inner roller-four">
				<?php mosLoadModules ( 'user8',-2 ); ?>
					</div>
				</div>
				<?php } ?>
				
				<?php if ( mosCountModules('user9') ) { ?>
				<div class="roller">
					<div class="roller-inner roller-five">
				<?php mosLoadModules ( 'user9',-2 ); ?>
					</div>
				</div>
				<?php } ?>

			</div>
			</div>
			</div>
		<?php } ?>
	
	<div class="shadow"></div>
	<!-- END: SUBHEADER -->
			
			<div id="ja-moofx-button">
				<div id="clicker-outer">
				<ul>
					<li><a href="#Prev" onclick="showPrev();clearRoll();return false;" title="Previous">&laquo;</a></li>
					<?php
						$num_of_clickers = 0;
						if ( mosCountModules('user5') ) $num_of_clickers++;
						if ( mosCountModules('user6') ) $num_of_clickers++;
						if ( mosCountModules('user7') ) $num_of_clickers++;
						if ( mosCountModules('user8') ) $num_of_clickers++;
						if ( mosCountModules('user9') ) $num_of_clickers++;
						for ($i=1;$i<=$num_of_clickers;++$i) {
							?><li><a class="clicker" href="#<?php echo ($i < 10) ? "0".$i : $i; ?>"><?php echo ($i < 10) ? "0".$i : $i; ?></a></li><?php
						}
					?>
					<li><a href="#Next" onclick="showNext();clearRoll();return false;" title="Next">&raquo;</a></li>
					<li><a href="#PP" onclick="playButtonClicked();return false;" id="playButton">Pause</a></li>
				</ul>
			
			</div>
			
		<!-- END: MOOFX -->	
	
	<?php if ( mosCountModules( 'right' ) || mosCountModules( 'user1' ) || mosCountModules( 'user2' ) ) { ?>
	<!-- BEGIN: RIGHT SIDE -->
	<div id="ja-rightcol">
		<?php	mosLoadModules ( 'user1',-2 );
					mosLoadModules ( 'user2',-2 );
					mosLoadModules ( 'right',-2 ); ?>
	</div>
	<!-- END: RIGHT SIDE -->
	<?php } ?>

<!-- BEGIN: CONTENT -->
		<div id="ja-<?php echo $divid ?>">
		<a name="Content" id="Content"></a>
		<?php mosMainBody(); ?>
	</div>
	<!-- END: CONTENT -->
	</div>

	</div>
	</div>
	
	<!-- BEGIN: FOOTER -->
	<div id="ja-footer">
		<?php mosLoadModules ( 'user3',-1 ); ?>

		<div id="ja-cert">
		<?php if ($ja_menutype != 3){ ?> 
		<a href="http://jigsaw.w3.org/css-validator/validator?uri=<?php echo $mosConfig_live_site;?>" target="_blank" title="Our site is valid CSS" style="text-decoration: none;"> <img src="<?php echo $ja_template_path;?>/images/but-css.png" alt="Our site is valid CSS" /> </a> 
		<?php } ?> 
		<a href="http://validator.w3.org/check/referer" target="_blank" title="Our site is valid XHTML 1.0 Transitional" style="text-decoration: none;"> <img src="<?php echo $ja_template_path;?>/images/but-xhtml10.png" alt="Our site is valid XHTML 1.0 Transitional" /> </a>
		</div>
		
		<p id="ja-bottomline">
			<?php include_once( $GLOBALS['mosConfig_absolute_path'] . '/templates/ja_polaris/footer.php' ); ?>
		</p>
	
	</div>
	<!-- END: FOOTER -->

</div>
</div>

<?php mosLoadModules( 'debug', -1 );?>
</body>

</html>
